<?php

include 'conector.php';session_start();
date_default_timezone_set('America/Bogota');
if(isset($_SESSION["user"])&& $_SESSION["tipo"]=='A'){



  $class1="class=\"active\"";
  $class2="";
  $act2="";
  $class3="";
  $act3="";
  $act1=" active ";
  $act4="";
  $class4="";



if(isset($_POST['val4'])&&!empty($_POST['val4'])){
  $class1="";
  $class2="";
  $act2="";
  $class3="";
  $act3="";
  $act1="";
  $act4=" active ";
  $class4="class=\"active\"";
if($_POST['val4']==3){
 	 $ins_man="insert into manual (tipo,descripcion,estado) values ('".$_POST["tipo4"]."','".$_POST["desc4"]."','A')";

	mysql_query($ins_man)or die(mysql_error());
	$men="<div class=\"alert alert-success\">
                    <button type=\"button\" class=\"close\" data-dismiss=\"alert\">X</button>
                    Registro Insertado Satisfactoriamente!
			</div>";
 }
 if($_POST['val4']==2){
 	 $del_man="delete from manual 			
 			where id=".$_POST["indice4"]."	";

	mysql_query($del_man)or die(mysql_error());
	$men="<div class=\"alert alert-success\">
                    <button type=\"button\" class=\"close\" data-dismiss=\"alert\">X</button>
                    Registro Borrado Satisfactoriamente!
			</div>";
 }
 if($_POST['val4']==1){
 	 $act_man="update manual 
 			set
 			tipo='".$_POST["tipo4"]."',
 			descripcion='".$_POST["desc4"]."',
 			estado='".$_POST["est4"]."'
 			where id=".$_POST["indice4"]."	";

	mysql_query($act_man)or die(mysql_error());
	$men="<div class=\"alert alert-success\">
                    <button type=\"button\" class=\"close\" data-dismiss=\"alert\">X</button>
                    Manual Actualizado 
			</div>";
 }
}

if(isset($_POST['val1'])&&!empty($_POST['val1'])){


 if($_POST['val1']==1){
 
 $act_asignatura="update usuarios 
 			set
 			name='".$_POST["nombre_usuario1"]."',
 			cuenta='".$_POST["cuenta_usuario1"]."',
 			password='".$_POST["clave_usuario1"]."',
 			level='".$_POST["tipo_usuario1"]."',
 			estado='".$_POST["estado_1"]."'
 			where id=".$_POST["ide1"]."
 			 				";
 
	mysql_query($act_asignatura)or die(mysql_error());
	$men="<div class=\"alert alert-success\">
                    <button type=\"button\" class=\"close\" data-dismiss=\"alert\">X</button>
                    Usuario Actualizado 
			</div>";
 }
  if($_POST['val1']==2){
 
 $del_asignatura="delete from usuarios where id=".$_POST["ide1"]." ";
 
	mysql_query($del_asignatura)or die(mysql_error());
	$men="<div class=\"alert alert-success\">
                    <button type=\"button\" class=\"close\" data-dismiss=\"alert\">X</button>
                    Usuario Borrado 
			</div>";
 }
}

if(isset($_POST['val2'])&&!empty($_POST['val2'])){

 if($_POST['val2']==1){
  $class1="";
  $class2="class=\"active\"";
  $act1="";
  $act2=" active ";
  $class3="";
  $act3="";
  $act4="";
  $class4="";




	$insertar_asignatura='insert into usuarios (name,cuenta,password,level,estado)
	values("'.$_POST['nombre_usuario2'].'","'.$_POST['cuenta_usuario2'].'","'.$_POST['clave_usuario2'].'","'.$_POST['tipo_usuario2'].'","A"
	)';
	mysql_query($insertar_asignatura)or die(mysql_error());
	$men="<div class=\"alert alert-success\">
                    <button type=\"button\" class=\"close\" data-dismiss=\"alert\">X</button>
                    Usuario: ".$_POST['nombre_usuario2']." Insertado
			</div>";
	
	



 }
}

if(isset($_POST['val3'])&&!empty($_POST['val3'])){
  $class1="";
  $class3="class=\"active\"";
  $act1="";
  $act3=" active ";
  $class2="";
  $act2="";
  $act4="";
  $class4="";

//aca los parametros de conexion, si tienes aparte la conexión , solo incluyuela
$usuario=$mysql_login;
$passwd=$mysql_password;
$host="localhost";
$bd=$mysql_database;
$nombre="backup-".date("dmY").".txt"; //Este es el nombre del archivo a generar
/* Determina si la tabla será vaciada (si existe) cuando  restauremos la tabla. */            
$drop = false;
$tablas = false; //tablas de la bd
// Tipo de compresion.
// Puede ser "gz", "bz2", o false (sin comprimir)
 
$compresion = true;
 
/* Conexion */
$conexion = mysql_connect($host, $usuario, $passwd)
or die("No se puede conectar con el servidor MySQL: ".mysql_error());
mysql_select_db($bd, $conexion)
or die("No se pudo seleccionar la Base de Datos: ". mysql_error());
/* Se busca las tablas en la base de datos */
if ( empty($tablas) ) {
    $consulta = "SHOW TABLES FROM $bd;";
    $respuesta = mysql_query($consulta, $conexion)
    or die("No se pudo ejecutar la consulta: ".mysql_error());
    while ($fila = mysql_fetch_array($respuesta, MYSQL_NUM)) {
        $tablas[] = $fila[0];
    }
}
/* Se crea la cabecera del archivo */
$info['dumpversion'] = "1.1b";
$info['fecha'] = date("d-m-Y");
$info['hora'] = date("h:m:s A");
$info['mysqlver'] = mysql_get_server_info();
$info['phpver'] = phpversion();
ob_start();
print_r($tablas);
$representacion = ob_get_contents();
ob_end_clean ();
preg_match_all('/(\[\d+\] => .*)\n/', $representacion, $matches);
$info['tablas'] = implode(";  ", $matches[1]);
$dump = <<<EOT
# +===================================================================
# |
# | Generado el {$info['fecha']} a las {$info['hora']} 
# | Servidor: {$_SERVER['HTTP_HOST']}
# | MySQL Version: {$info['mysqlver']}
# | PHP Version: {$info['phpver']}
# | Base de datos: '$bd'
# | Tablas: {$info['tablas']}
# |
# +-------------------------------------------------------------------
 
EOT;
foreach ($tablas as $tabla) {
    
    $drop_table_query = "";
    $create_table_query = "";
    $insert_into_query = "";
    
    /* Se halla el query que será capaz vaciar la tabla. */
    if ($drop) {
        $drop_table_query = "DROP TABLE IF EXISTS `$tabla`;";
    } else {
        $drop_table_query = "# No especificado.";
    }
 
    /* Se halla el query que será capaz de recrear la estructura de la tabla. */
    $create_table_query = "";
    $consulta = "SHOW CREATE TABLE $tabla;";
    $respuesta = mysql_query($consulta, $conexion)
    or die("No se pudo ejecutar la consulta: ".mysql_error());
    while ($fila = mysql_fetch_array($respuesta, MYSQL_NUM)) {
            $create_table_query = $fila[1].";";
    }
    
    /* Se halla el query que será capaz de insertar los datos. */
    $insert_into_query = "";
    $consulta = "SELECT * FROM $tabla;";
    $respuesta = mysql_query($consulta, $conexion)
    or die("No se pudo ejecutar la consulta: ".mysql_error());
    while ($fila = mysql_fetch_array($respuesta, MYSQL_ASSOC)) {
            $columnas = array_keys($fila);
            foreach ($columnas as $columna) {
                if ( gettype($fila[$columna]) == "NULL" ) {
                    $values[] = "NULL";
                } else {
                    $values[] = "'".mysql_real_escape_string($fila[$columna])."'";
                }
            }
            $insert_into_query .= "INSERT INTO `$tabla` VALUES (".implode(", ", $values).");\n";
            unset($values);
    }
    
$dump .= <<<EOT
 
# | Vaciado de tabla '$tabla'
# +------------------------------------->
$drop_table_query
 
 
# | Estructura de la tabla '$tabla'
# +------------------------------------->
$create_table_query
 
 
# | Carga de datos de la tabla '$tabla'
# +------------------------------------->
$insert_into_query
 
EOT;
}
 
/* Envio */
if ( !headers_sent() ) {
    header("Pragma: no-cache");
    header("Expires: 0");
    header("Content-Transfer-Encoding: binary");
    switch ($compresion) {
    case "gz":
        header("Content-Disposition: attachment; filename=$nombre.gz");
        header("Content-type: application/x-gzip");
        echo gzencode($dump, 9);
        break;
    case "bz2": 
        header("Content-Disposition: attachment; filename=$nombre.bz2");
        header("Content-type: application/x-bzip2");
        echo bzcompress($dump, 9);
        break;
    default:
        header("Content-Disposition: attachment; filename=$nombre");
        header("Content-type: application/force-download");
        echo $dump;
    }
} else {
    echo "<b>ATENCION: Probablemente ha ocurrido un error</b><br />\n<pre>\n$dump\n</pre>";
}
}
 $select_asignatura="select id,name,cuenta,password,level,estado,nombres
 from usuarios where level!='D' order by name";
 $res_select_asignatura=mysql_query($select_asignatura);
				
					$tbody="<tbody>";
					
					
					
					
					while($r_sag=mysql_fetch_array($res_select_asignatura)){
					if($r_sag[4]=='A'){$b1=' selected ';$tipo='Admin. Sis.';}if($r_sag[4]=='R'){$b2=' selected ';$tipo='Rector&iacute;a';}			
					if($r_sag[4]=='S'){$b3=' selected ';$tipo='Sec. Acad&eacute;mica';}if($r_sag[4]=='B'){$b4=' selected ';$tipo='Bienestar';}
					
					
					if($r_sag[5]=='A'){$est='Activo';$lab='success ';}else{$est='Inactivo';$lab='danger ';}
					$tbody.="<tr role='row'><td>".$r_sag[0]."</td><td>".$r_sag[1]."</td><td>".$r_sag[2]."</td><td>".$tipo."</td><td><span class='label label-".$lab."'>".$est."</span></td>
					<td>
					<a class='btn btn-info btn-xs'  data-toggle='modal' data-target='#mimodala".$r_sag[0]."' onclick=''>
                			<i class='glyphicon glyphicon-edit icon-white'></i>  
			                Editar               
				            </a>
					
					<a class='btn btn-danger btn-xs'  data-toggle='modal' onclick='borra_user(".$r_sag[0].")'>
                			<i class='glyphicon glyphicon-edit icon-white'></i>  
			                Borrar               
				            </a>
					</td>

					</tr>
					";
					$c1='';$c2='';$b1='';$b2='';$b3='';$b4='';
		if($r_sag[5]=='A'){$c1=' selected ';}if($r_sag[5]=='I'){$c2=' selected ';}	
					
						$tbody.="<div name='mimodala".$r_sag[0]."' id='mimodala".$r_sag[0]."' class='modal fade bs-example-modal-sm' tabindex='-1' role='dialog' aria-labelledby='mySmallModalLabel' aria-hidden='true'>
						  <div class='modal-dialog modal-md'>
						    <div class='modal-content'>
						      <div class='modal-header'>
							      <button type='button' class='close' data-dismiss='modal' aria-hidden='true'>x</button>
						      		<h4 class='modal-title' id='myLargeModalLabel'>Consultar Usuario</h4>
	      					      </div>
	      					      <div class='modal-body'>";
						$tbody.="
								 
						 <div class='input' style='float:left;width: 120px;padding-top: 5px;padding-left: 10px;text-align: left;height:20px;font-size:12px;' >
						C&oacute;digo &nbsp;  </div>
						<div class='input' ><input  disabled  value='".$r_sag[0]."' id='codigo_".$r_sag[0]."' name='codigo_".$r_sag[0]."' type='text' class='form-control2' style='width:50%;margin-bottom: 10px' >
						 </div>
						 <div class='input' style='float:left;width: 120px;padding-top: 5px;padding-left: 10px;text-align: left;height:20px;font-size:12px;' >
						Nombre &nbsp;  </div>
						<div class='input' ><input    value='".$r_sag[1]."' id='nombre_".$r_sag[0]."' name='nombre_".$r_sag[0]."' type='text' class='form-control2' style='width:50%;margin-bottom: 10px' >
						 </div>		 
					 <div class='input' style='float:left;width: 120px;padding-top: 5px;padding-left: 10px;text-align: left;height:20px;font-size:12px;' >
						Cuenta &nbsp;  </div>
						<div class='input' ><input    value='".$r_sag[2]."' id='sigla_".$r_sag[0]."' name='sigla_".$r_sag[0]."' type='text' class='form-control2' style='width:50%;margin-bottom: 10px' >
						 </div>		 
					 <div class='input' style='float:left;width: 120px;padding-top: 5px;padding-left: 10px;text-align: left;height:20px;font-size:12px;' >
						Clave &nbsp;  </div>
						<div class='input' ><input    value='".$r_sag[3]."' id='pass_".$r_sag[0]."' name='pass_".$r_sag[0]."' type='password' class='form-control2' style='width:50%;margin-bottom: 10px' >
						 </div>		 
					 <div class='input' style='float:left;width: 120px;padding-top: 5px;padding-left: 10px;text-align: left;height:20px;font-size:12px;' >
						Tipo &nbsp;  </div>
						<div class='input' >

						<select id='tipo_".$r_sag[0]."' name='tipo_".$r_sag[0]."' class='form-control2' style='width:50%;margin-bottom: 10px'>
						    	<option value='A' $b1 >Admin. Sis.</option>
						    	<option value='R' $b2 >Rector&iacute;a</option>
						    	<option value='S' $b3 >Secret. Acad&eacute;mica</option>
						    	<option value='B' $b4 >Bienestar</option>		    			     
						</select>
						
						
						 </div>		 

				 	 <div class='input' style='float:left;width: 120px;padding-top: 5px;padding-left: 10px;text-align: left;height:20px;font-size:12px;' >
								Estado&nbsp;  </div>
					 <div class='input' >
								 <select id='estadoa".$r_sag[0]."' name='estadoa".$r_sag[0]."' class='form-control2' style='width:50%;margin-bottom: 10px'>
								 	<option value='A' $c1 >Activo</option>
								 	<option value='I' $c2 >Inactivo</option>
								 </select>
					 </div>					 
								 ";

						 $tbody.="<div>
						 <button type=\"button\" class=\"btn btn-primary btn-xs\" onclick='actualizar_asignatura(".$r_sag[0].")' >Actualizar</button>
							<button type=\"button\" class=\"btn btn-info btn-xs\" data-dismiss='modal' >Cerrar</button>
							</div>";								
								
						$tbody.="
							</div>
						    </div>
						  </div>
						</div>	";	

					}
					$tbody.="</tbody>";

echo "
<!DOCTYPE html>
<html lang=\"en\">
  <head>
    <meta charset=\"utf-8\">
    <meta http-equiv=\"X-UA-Compatible\" content=\"IE=edge\">
    <meta name=\"viewport\" content=\"width=device-width, initial-scale=1\">
    <meta name=\"description\" content=\"\">
    <meta name=\"author\" content=\"\">
    <link rel=\"shortcut icon\" href=\"assets/ico/favicon.ico\">
	<style>
	</style>
    <title>Usuarios</title>

    <!-- Bootstrap core CSS -->
    <link href=\"dist/css/bootstrap.min.css\" rel=\"stylesheet\">

    <!-- Custom styles for this template -->
    <link href=\"offcanvas.css\" rel=\"stylesheet\">

    <!-- Just for debugging purposes. Don't actually copy this line! -->
    <!--[if lt IE 9]><script src=\"../../assets/js/ie8-responsive-file-warning.js\"></script><![endif]-->

    <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src=\"https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js\"></script>
      <script src=\"https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js\"></script>
    <![endif]-->
    <script>
function borra_manual(ind){
 if(confirm('Desea borrar el registro?')){
document.getElementById('val4').value=2;
document.getElementById('indice4').value=ind;
	document.forms['f_manual'].submit();
	}else{
	return false;
	}
}    
function act_manual(ind){
document.getElementById('val4').value=1;
document.getElementById('desc4').value=document.getElementById('ta['+ind+']').value;
document.getElementById('tipo4').value=document.getElementById('tipo['+ind+']').value;
if(document.getElementById('est['+ind+']').checked==false){document.getElementById('est4').value='I'}
if(document.getElementById('est['+ind+']').checked==true){document.getElementById('est4').value='A'}
document.getElementById('indice4').value=ind;
	document.forms['f_manual'].submit();


}   
function inserta_manual(){
document.getElementById('val4').value=3;
document.getElementById('desc4').value=document.getElementById('ta_i').value;
document.getElementById('tipo4').value=document.getElementById('tipo_i').value;
	document.forms['f_manual'].submit();
}    
function genera_backup(){
	document.getElementById('val3').value=1;
	document.forms['gen_bu'].submit();
}
function borra_user(ide){

document.getElementById('ide1').value=ide;
	document.getElementById('val1').value=2;
	document.forms['listar_asignatura'].submit();
}   
function actualizar_asignatura(ide){

if(document.getElementById('nombre_'+ide).value==''){alert('Debe digitar el nombre de la Asignatura');return false;}
	else{document.getElementById('nombre_usuario1').value=document.getElementById('nombre_'+ide).value}
if(document.getElementById('sigla_'+ide).value==''){alert('Debe digitar la sigla de la Asignatura');return false;}
	else{document.getElementById('cuenta_usuario1').value=document.getElementById('sigla_'+ide).value}
if(document.getElementById('pass_'+ide).value==''){alert('Debe digitar la sigla de la Asignatura');return false;}
	else{document.getElementById('clave_usuario1').value=document.getElementById('pass_'+ide).value}
if(document.getElementById('tipo_'+ide).value==''){alert('Debe digitar la sigla de la Asignatura');return false;}
	else{document.getElementById('tipo_usuario1').value=document.getElementById('tipo_'+ide).value}
document.getElementById('estado_1').value=document.getElementById('estadoa'+ide).value;
document.getElementById('ide1').value=ide;
	document.getElementById('val1').value=1;
	document.forms['listar_asignatura'].submit();

}
function crea_asignatura(){
		
if(document.getElementById('nombre_usuario').value==''){alert('Debe digitar el nombre del Usuario');return false;}
	else{document.getElementById('nombre_usuario2').value=document.getElementById('nombre_usuario').value}
if(document.getElementById('cuenta_usuario').value==''){alert('Debe digitar el cuenta del Usuario');return false;}
	else{document.getElementById('cuenta_usuario2').value=document.getElementById('cuenta_usuario').value}
if(document.getElementById('clave_usuario').value==''){alert('Debe digitar clave del Usuario');return false;}
	else{document.getElementById('clave_usuario2').value=document.getElementById('clave_usuario').value}
if(document.getElementById('tipo_usuario').value==''){alert('Debe seleccionar tipo de Usuario');return false;}
	else{document.getElementById('tipo_usuario2').value=document.getElementById('tipo_usuario').value}
	document.getElementById('val2').value=1;
	document.forms['crear_usuario'].submit();			
}


</script>
  
    
    
    
  </head>

  <body>
    <div class=\"navbar navbar-fixed-top navbar-inverse\" role=\"navigation\">
      <div class=\"container\">
  
          <a class=\"\" href=\"general.php\"><img src='img/logo1.png' style='margin-top:5px'></a>
  
       
       <a href=\"index.php\"><img src='img/salir.png' style='float:right;margin-top:15px'>
             	          <span style='float:right;margin-right:10px; margin-top:15px' class='label label-success'><span class='glyphicon glyphicon-user'></span> ".$_SESSION["user"]."</span>
       </a>
      </div><!-- /.container -->
    </div><!-- /.navbar -->


    <div class=\"container\">

      <div class=\"row row-offcanvas row-offcanvas-left\">

       <div class=\"col-xs-6 col-sm-3 sidebar-offcanvas\" id=\"sidebar\" role=\"navigation\">
          <div class=\"list-group\">
            <a href=\"general.php\" class=\"list-group-item \" data-rel='popover' data-content='Dashboard' data-original-title><span class=\"glyphicon glyphicon-home\"></span> General</a>
            <a href=\"estudiantes.php\" class=\"list-group-item \"><span class=\"glyphicon glyphicon-th\"></span> Estudiantes</a>
            <a href=\"docentes.php\" class=\"list-group-item\"><span class=\"glyphicon glyphicon-user\"></span> Docentes</a>
            <a href=\"acudiente.php\" class=\"list-group-item \"><span class=\"glyphicon glyphicon-user\"></span> Acudiente</a>            
            <a href=\"asignaturas.php\" class=\"list-group-item \"><span class=\"glyphicon glyphicon-book\"></span> Asignaturas</a>
            <a href=\"cursos.php\" class=\"list-group-item\"><span class=\"glyphicon glyphicon-list\"></span> Cursos</a>
            <a href=\"pensum.php\" class=\"list-group-item\"><span class=\"glyphicon glyphicon-edit\"></span> Pensum</a>                        
            <a href=\"logros.php\" class=\"list-group-item \"><span class=\"glyphicon glyphicon-edit\"></span> Logros</a>                        
            <a href=\"observaciones.php\" class=\"list-group-item \"><span class=\"glyphicon glyphicon-edit\"></span> Indicadores Comportamiento</a>         
            <a href=\"horario.php\" class=\"list-group-item \"><span class=\"glyphicon glyphicon-edit\"></span> Horario</a> 
<a href=\"horario_atencion.php\" class=\"list-group-item \"><span class=\"glyphicon glyphicon-edit\"></span> Horario Atenci&oacute;n</a>
<a href=\"planilla_asistencia.php\" class=\"list-group-item \"><span class=\"glyphicon glyphicon-file\"></span> Asistencia</a>                                   
            <a href=\"planilla.php\" class=\"list-group-item \"><span class=\"glyphicon glyphicon-file\"></span> Planilla Notas</a>            
            <a href=\"planilla_obs.php\" class=\"list-group-item \"><span class=\"glyphicon glyphicon-file\"></span> Reportes Escolares</a>                        
            <a href=\"pagos.php\" class=\"list-group-item \"><span class=\"glyphicon glyphicon-list\"></span> Pagos</a>           
            <a href=\"reportes.php\" class=\"list-group-item \"><span class=\"glyphicon glyphicon-file\"></span> Informes</a>            
<a href=\"eventos.php\" class=\"list-group-item \"><span class=\"glyphicon glyphicon-edit\"></span> Anuncios</a>
            <a href=\"config.php\" class=\"list-group-item active\"><span class=\"glyphicon glyphicon-wrench\"></span> Configuraci&oacute;n</a>
          </div>
        </div><!--/span-->

        <div class=\"col-xs-12 col-sm-9\">
          <p class=\"pull-left visible-xs\">
            <button type=\"button\" class=\"btn btn-primary btn-xs\" data-toggle=\"offcanvas\">menu</button>
          </p>
    
	<div class=\"panel panel-default\">
	<br>";
echo $men;
echo    "<!-- Nav tabs -->
	<ul class=\"nav nav-tabs\">
		<li >&nbsp;</li>
	  <li $class1 ><a href=\"#home\" data-toggle=\"tab\">Gestion Usuarios</a></li>
	  <li $class2 ><a href=\"#profile\" data-toggle=\"tab\">Crear Usuario</a></li>
	  <li $class3 ><a href=\"#backup\" data-toggle=\"tab\">Generar Backup</a></li>	  
	  <li $class4 ><a href=\"#manual\" data-toggle=\"tab\">Manual Conv.</a></li>	  	  
	</ul>
	
	<!-- Tab panes -->

	<div class=\"tab-content\">
	<div class=\"tab-pane fade in $act4 \" id=\"manual\">
			<form name='f_manual' id='f_manual' method='post' action='config.php#manual' target='' >
			<input type='hidden' name='val4' id='val4' value='".$val4."'>	
			<input type='hidden' name='tipo4' id='tipo4' value='".$tipo4."'>				
			<input type='hidden' name='desc4' id='desc4' value='".$desc4."'>
			<input type='hidden' name='est4' id='est4' value='".$est4."'>		
			<input type='hidden' name='indice4' id='indice4' value='".$indice4."'>													
			<div class=\"page\">
				<fieldset>
					<legend>
						<br><span class=\"glyphicon glyphicon-plus\"></span> Conf. Manual
					</legend>		
					
		<div class='table-responsive'>		
			<table    class='table table-striped table-bordered '>					
			<tr role='row'>
				<th>Tipo</th>				
				<th>Descripci&oacute;n</th>
				<th></th>								
			</tr>
			<tr role='row'>
				<td><select id='tipo_i'>
					<option  value='S' >SANCION</option>
					<option value='C' >CORRECTIVO</option>
					</select></td>				
				<td>
				<textarea rows='1' cols='100%' id='ta_i'></textarea>
				</td>
			<td><button type='button' class='btn btn-info btn-xs' onclick='inserta_manual()'> Insertar</button></td>
			</tr>						

			</table>	

		</div>			
				</fieldset>

			<br>
			<fieldset>
	<p><input type='text'  style='font-size:12px;width:30%' id='search_string' name='search_string' value='Digite palabra a buscar...' onclick='this.value=\"\"'  size='20'/>
	
    </p>
	<div class='table-responsive'>

	<table  id='codigos'  class='table table-striped table-bordered '>
		<thead>
			<tr role='row'>
				<th>Id</th>
				<th>Tipo</th>				
				<th>Descripci&oacute;n</th>
				<th>Activo</th>				
				<th></th>								
			</tr>
		</thead>";
		
$select_manual="select Id,tipo,descripcion,estado from manual order by id ";
if($rs_select_manual=mysql_query($select_manual)){

 $num_filas=mysql_num_rows($rs_select_manual);
	if($num_filas>0){
		echo "<tbody>";
					
					
					
					
					while($r_man=mysql_fetch_array($rs_select_manual)){
					$est='';$lab='';
					if($r_man[3]=='A'){$est='Activo'; $lab='success';}if($r_man[3]=='I'){$est='Inactivo';$lab='danger';}
					if($r_man[3]=='A'){$ch='checked';}else{$ch='';}					
					echo "<tr role='row'><td>".$r_man[0]."</td><td>";

					if($r_man[1]=='C'){$sel2=' selected ';$sel1='';}
					if($r_man[1]=='S'){$sel1=' selected ';$sel2='';}
					

					
					
					
				echo	"<select id='tipo[".$r_man[0]."]'>
					<option  value='S' $sel1>SANCION</option>
					<option value='C' $sel2>CORRECTIVO</option>
					</select>";
					
					echo "</td><td class='desc'>";
					
					echo "<textarea rows='1' cols='50' id='ta[".$r_man[0]."]'>".($r_man[2])."</textarea>";
					
					echo"</td>
					<td align='center'>
					<input type='checkbox' $ch id='est[".$r_man[0]."]' name='est[".$r_man[0]."]' value='$r_man[0]'>
					<td>
					<a class='btn btn-success btn-xs'    onclick='act_manual($r_man[0])'>
                			<i class='glyphicon glyphicon-floppy-disk icon-white'></i>  
			                Guardar               
				            </a>
					
					<a class='btn btn-danger btn-xs' onclick='borra_manual(".$r_man[0].")'>
                			<i class='glyphicon glyphicon-edit icon-white'></i>  
			                Borrar               
				            </a>
					</td>

					</tr>
					";


					}
					echo "</tbody>";
	}
}

echo	"
	</div>
	</table>
	</fieldset>
			
			 			
			
			<fieldset>
			<legend>

						
			</legend>	

							
			</fieldset>
				

			</div>
		</form>
	</div>
	
	
	<div class=\"tab-pane fade in $act3 \" id=\"backup\">
			<form name='gen_bu' id='gen_bu' method='post' action='config.php#backup' target='' >
			<input type='hidden' name='val3' id='val3' value='".$val3."'>	
			
			<div class=\"page\">
				<fieldset>
					<legend>
						<br><span class=\"glyphicon glyphicon-plus\"></span> Generar Backup          
					</legend>			
				</fieldset>
			
			
			 			
			
			<fieldset>
			<legend>
						<br>
						
			</legend>	
				<button type='button' class='btn btn-info' onclick='genera_backup()'> Generar</button>     
							
			</fieldset>
				
				<br>
			</div>
		</form>
	</div>

	<div class=\"tab-pane fade in $act2 \" id=\"profile\">
		<form name='crear_usuario' id='crear_usuario' method='post' action='config.php#profile' target='' >
		<input type='hidden' name='val2' id='val2' value='".$val2."'>	
		<input type='hidden' name='nombre_usuario2' id='nombre_usuario2' value='".$nombre_usuario2."'>	
		<input type='hidden' name='cuenta_usuario2' id='cuenta_usuario2' value='".$cuenta_usuario2."'>	
		<input type='hidden' name='clave_usuario2' id='clave_usuario2' value='".$clave_usuario2."'>					
		<input type='hidden' name='tipo_usuario2' id='tipo_usuario2' value='".$tipo_usuario2."'>
		
		<div class=\"page\">
			<fieldset>
				<legend>
					<br><span class=\"glyphicon glyphicon-plus\"></span> Crear Nuevo Usuario          
				</legend>			
			</fieldset>
		
		
		 <div class='input' style='float:left;width: 140px;padding-top: 0px;text-align: left;margin-left: 10px' >
			Nombre&nbsp;
		  </div>
		 <div class='input' >
		    <input id='nombre_usuario' name='nombre_usuario' type='text' class='form-control2' placeholder='' style='width:24%;margin-bottom: 10px'>
		 </div>

		<div class='input' style='float:left;width: 140px;padding-top: 0px;text-align: left;margin-left: 10px' >
			Cuenta&nbsp;
		  </div>
		 <div class='input' >
		    <input id='cuenta_usuario' name='cuenta_usuario' type='text' class='form-control2' placeholder='' style='width:24%;margin-bottom: 10px'>
		  </div>
		<div class='input' style='float:left;width: 140px;padding-top: 0px;text-align: left;margin-left: 10px' >
			Clave&nbsp;
		  </div>
		 <div class='input' >
		    <input id='clave_usuario' name='clave_usuario' type='password' class='form-control2' placeholder='' style='width:24%;margin-bottom: 10px'>
		     </div>
		<div class='input' style='float:left;width: 140px;padding-top: 0px;text-align: left;margin-left: 10px' >
			Tipo&nbsp;
		  </div>
		 <div class='input' >
		    <select id='tipo_usuario' name='tipo_usuario' class='form-control2' style='width:24%;margin-bottom: 10px'>
		    	<option value='A'>Admin. Sis.</option>
		    	<option value='R'>Rector&iacute;a</option>
		    	<option value='S'>Secret. Acad&eacute;mica</option>
		    	<option value='B'>Bienestar</option>		    			     
			</select>		     
		     </div>
		
		
		<fieldset>
		<legend>
					<br>
					
		</legend>	
			<button type='button' class='btn btn-info' onclick='crea_asignatura()'> Crear Usuario</button>     
			<input type='reset' class='btn' value='Borrar'>
						
		</fieldset>
			
			<br>
		</div>
	</form>
</div>

<div class=\"tab-pane fade in $act1 \" id=\"home\">
	<form name='listar_asignatura' id='listar_asignatura' method='post' action='config.php' target=''>
	<div class=\"page\">
	

	<input type='hidden' name='val1' id='val1' value='".$val1."'>	
	<input type='hidden' name='cur1' id='cur1' value='".$cur1."'>	
	<input type='hidden' name='nombre_usuario1' id='nombre_usuario1' value='".$nombre_usuario1."'>	
	<input type='hidden' name='cuenta_usuario1' id='cuenta_usuario1' value='".$cuenta_usuario1."'>	
	<input type='hidden' name='clave_usuario1' id='clave_usuario1' value='".$clave_usuario1."'>					
	<input type='hidden' name='tipo_usuario1' id='tipo_usuario1' value='".$tipo_usuario1."'>
	<input type='hidden' name='estado_1' id='estado_1' value='".$estado_1."'>		
	<input type='hidden' name='ide1' id='ide1' value='".$ide1."'>	
		<fieldset>
			<legend><br><span class=\"glyphicon glyphicon-th-list\"></span> 
				Lista de Usuarios          
			</legend>			
		</fieldset>
	</div>
	
	<fieldset>
	<div class='table-responsive'>
	<table class='table table-striped table-bordered '>
		<thead>
			<tr role='row'>
				<th>C&oacute;digo</th>
				<th>Nombre</th>
				<th>Cuenta</th>				
				<th>Tipo</th>
				<th>Estado</th>				
				<th></th>								
			</tr>
		</thead>";
		
echo $tbody;
echo	"
	</div>
	</table>
	</fieldset>
	
	
	
	</form>

</div>
 
         
        </div><!--/span-->

       
      </div><!--/row-->


</div><!--/row--></div><!--/row--><hr><footer><p>Todos los derechos reservados - Copyright &copy; 2023</p></footer>

    </div><!--/.container-->

    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script src=\"https://code.jquery.com/jquery-1.10.2.min.js\"></script>
    <script src=\"dist/js/bootstrap.min.js\"></script>
    <script src=\"offcanvas.js\"></script>
    <script src='js/tablesort.min.js'></script>
    <script>
      new Tablesort(document.getElementById('codigos'));
    </script>

    <script>
      // Con estas 3 l�neas sobreescribimos el Constains para que no sea case sensitive pues por default en jquery  viene con case sensitive. Si no lo pones, queda como Case sensitive
    $.expr[':'].Contains = function(x, y, z){
        return jQuery(x).text().toLowerCase().indexOf(z[3].toLowerCase())>=0;
       
    };

    // cada que escribamos, vamos a revisar lo que hay escrito 
    $('#search_string').keyup(function() 
    {
        //tomamos el valor que tiene el input
        var search = $('#search_string').val();
        //mostramos todos los valores, para despues ir ocultando los que no coinciden
        $('#codigos tr').show();
        
        //esto es para revisar si tenemos algo que buscar, sino, que no lo haga.
        if(search.length>0)
        {
        // con la clase .nombre le decimos en cual de las celdas buscar y si no coincide, ocultamos el tr que contiene a esa celda. 
        $('#codigos tr td.desc').not(':Contains('+search+')').parent().hide();
        }

});
 

</script>
  </body>
</html>
";
}else{
echo "<div align='center'>Debe registrase para usar la aplicaci&oacute;n <a href='index.php' > Registrar</a></div>";
}
?>